Bug 826781 - 'File Not Found' on startup
'File Not Found' on startup
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 20:06 EDT by Ben Greear
Modified: 2012-06-03 19:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 20:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Greear 2012-05-30 20:06:49 EDT
Description of problem:

When booting F17 with grub2, I see 3 'File Not Found' errors
but then it loads the kernel and works (when using the standard
linux kernels that come with F17).

I did a preupgrade from F16 in case that matters.


Version-Release number of selected component (if applicable):

Fedora 17.

How reproducible:

Always, at least in this install.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mads Kiilerich 2012-05-30 20:11:13 EDT
preupgrade is apparently broken in several ways and will fail to configure the boot loader properly.

Please try
  grub2-install /dev/sdX
  grub2-mkconfig /boot/grub2/grub.cfg
and see if that makes the problem go away.

Remember to take a backup of /boot if you would like to have a backup.
Comment 2 Ben Greear 2012-05-30 20:20:06 EDT
Yes, that makes the errors go away.  I still can't boot a custom kernel (hangs before the services start), but at least no grub2 error messages, and the standard F17 kernel boots fine.
Comment 3 Mads Kiilerich 2012-05-30 20:26:01 EDT
That is a strong evidence that whatever it was, it wasn't a grub2 issue. You can try to check the open preupgrade bugs and see if you can add something there or find answers ... or if you should file a preupgrade issue.
Comment 4 Hin-Tak Leung 2012-05-31 21:57:12 EDT
(In reply to comment #3)
> That is a strong evidence that whatever it was, it wasn't a grub2 issue. You
> can try to check the open preupgrade bugs and see if you can add something
> there or find answers ... or if you should file a preupgrade issue.

I have the same problem - I still would like to know what went wrong instead of just doing comment 1 to make the problem go away. What can I try before I proceed to get rid of the problem?
Comment 5 Mads Kiilerich 2012-06-01 05:27:33 EDT
preupgrade did not install a new boot loader ... and patching the existing one with grubby also failed.
Comment 6 Hin-Tak Leung 2012-06-01 07:18:12 EDT
(In reply to comment #5)
> preupgrade did not install a new boot loader ... and patching the existing
> one with grubby also failed.

But it still 'works' - the new kernel is operational, just with mysterious error messages during grub/dracut?
Comment 7 Hin-Tak Leung 2012-06-01 22:48:44 EDT
I think this is a bug with preupgrade - it does not put the latest grub2 under /boot .
Comment 8 Hin-Tak Leung 2012-06-03 19:39:01 EDT
Filed 
"Bug 827987 - preupgrade does not run grub2-install"
and attached my /boot before grub2-install to fix it, and it worked.

Encountered "Bug 817187 - GRUB2 error: file '/boot/grub2/locale/en.mo.gz' not found" after getting rid of the three no-name error lines. That is trivially worked around by copying one file over (https://bugzilla.redhat.com/show_bug.cgi?id=817187#c5).

Note You need to log in before you can comment on or make changes to this bug.